Zum Hauptinhalt springen
GET
/
models
/api/v1/models
curl --request GET \
  --url https://api.venice.ai/api/v1/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created": 1727966436,
      "id": "llama-3.2-3b",
      "model_spec": {
        "availableContextTokens": 131072,
        "capabilities": {
          "optimizedForCode": false,
          "quantization": "fp16",
          "supportsAudioInput": false,
          "supportsFunctionCalling": true,
          "supportsLogProbs": true,
          "supportsMultipleImages": false,
          "supportsReasoning": false,
          "supportsReasoningEffort": false,
          "supportsResponseSchema": true,
          "supportsTeeAttestation": false,
          "supportsE2EE": false,
          "supportsVision": false,
          "supportsVideoInput": false,
          "supportsWebSearch": true,
          "supportsXSearch": false
        },
        "constraints": {
          "temperature": {
            "default": 0.8
          },
          "top_p": {
            "default": 0.9
          }
        },
        "description": "Compact and efficient model for quick responses and lighter workloads.",
        "name": "Llama 3.2 3B",
        "modelSource": "https://huggingface.co/meta-llama/Llama-3.2-3B",
        "offline": false,
        "privacy": "private",
        "pricing": {
          "input": {
            "usd": 0.15,
            "diem": 0.15
          },
          "output": {
            "usd": 0.6,
            "diem": 0.6
          }
        },
        "traits": [
          "fastest"
        ]
      },
      "object": "model",
      "owned_by": "venice.ai",
      "type": "text"
    }
  ],
  "object": "list",
  "type": "text"
}

Preise nach Qualitätsstufe

Für Bildmodelle, die den optionalen Parameter quality akzeptieren (derzeit gpt-image-2 und gpt-image-2-edit), enthält die Antwort eine Preismatrix pro Qualitätsstufe unter model_spec.pricing.quality. Jeder Top-Level-Schlüssel ist eine Auflösungsstufe (1K, 2K, 4K), und jeder verschachtelte Schlüssel ist eine Qualitätsstufe (low, medium, high) mit ihrem eigenen Preis in usd und diem:
"pricing": {
  "resolutions": {
    "1K": { "usd": 0.27, "diem": 0.27 },
    "2K": { "usd": 0.51, "diem": 0.51 },
    "4K": { "usd": 0.84, "diem": 0.84 }
  },
  "quality": {
    "1K": {
      "low":    { "usd": 0.02, "diem": 0.02 },
      "medium": { "usd": 0.07, "diem": 0.07 },
      "high":   { "usd": 0.26, "diem": 0.26 }
    },
    "2K": {
      "low":    { "usd": 0.03, "diem": 0.03 },
      "medium": { "usd": 0.13, "diem": 0.13 },
      "high":   { "usd": 0.50, "diem": 0.50 }
    },
    "4K": {
      "low":    { "usd": 0.05, "diem": 0.05 },
      "medium": { "usd": 0.21, "diem": 0.21 },
      "high":   { "usd": 0.83, "diem": 0.83 }
    }
  }
}
pricing.resolutions ist der ältere Preisplan pro Bild, der aus Gründen der Abwärtskompatibilität beibehalten wird. pricing.quality ist die Matrix pro (Auflösung, Qualität), die immer dann angewendet wird, wenn der Parameter quality unterstützt wird. Beide Felder sind in der Antwort enthalten, damit Clients die Qualitätsunterstützung erkennen und die Matrix in ihren eigenen UIs anzeigen können.

Postman-Collection

Weitere Beispiele finden Sie in dieser Postman-Collection.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Abfrageparameter

type

Filter models by type. Use "all" to get all model types.

Verfügbare Optionen:
asr,
embedding,
image,
music,
text,
tts,
upscale,
inpaint,
video
Beispiel:

"text"

Antwort

OK

data
object[]
erforderlich

List of available models

object
enum<string>
erforderlich
Verfügbare Optionen:
list
type
erforderlich

Type of models returned.

Verfügbare Optionen:
asr,
embedding,
image,
music,
text,
tts,
upscale,
inpaint,
video
Beispiel:

"text"